curl --request GET \
--url https://api.devkit4ai.com/api/v1/payments/stripe/my-payments \
--header 'Authorization: Bearer <token>'{
"payments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_test_mode": true,
"payment_intent_id": "<string>",
"status": "<string>",
"amount_cents": 123,
"currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"refunded_amount_cents": 0
}
],
"total": 123,
"page": 123,
"page_size": 123
}Get the current user’s Stripe payment history for the project.
curl --request GET \
--url https://api.devkit4ai.com/api/v1/payments/stripe/my-payments \
--header 'Authorization: Bearer <token>'{
"payments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_test_mode": true,
"payment_intent_id": "<string>",
"status": "<string>",
"amount_cents": 123,
"currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"refunded_amount_cents": 0
}
],
"total": 123,
"page": 123,
"page_size": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Use test mode
x >= 11 <= x <= 100